[package]
name = "rss-tool"
version = "0.1.0"
edition = "2021"

[dependencies]
iced = { git = "https://github.com/iced-rs/iced", branch = "master", features = ["image", "markdown", "svg"] }
reqwest = { version = "0.12", features= ["blocking","socks"]}
rss = "2.0"
web-sys = "0.3.70"
mdka = "1.2.10" #Not Sure if this is useful...
rusqlite = {version=">=0.34",features=['bundled']}
html2md = "0.2"
regex = "1"
directories = "6.0.0"
chrono = "0.4.41"
rss_content = { git = "https://code.gabe.rocks/gabriel/rss_content", version = "0.1.1" }
bytes = "1.10.1"
scraper = "0.23.1"
url = "2.5.4"

[profile.dev]
debug=true
incremental = true
codegen-units = 16

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"
strip=true
